Bug 122513 - ps manual page lacks formatting (regression)
ps manual page lacks formatting (regression)
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Karel Zak
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-05-05 08:46 EDT by Mikel Ward
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-27 11:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikel Ward 2004-05-05 08:46:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040422 Epiphany/1.2.4

Description of problem:
After upgrading to Fedora Linux 1.92, the ps manual page looks far
worse.  It has lost significant structure (and inherent formatting
when typeset such as bold typefaces and indentation).

It also seems to have changed some text for the worse, for instance,
what previously had:
"Unix98 options may be grouped and must be preceeded by a dash."
"Unix options may be grouped and must be preceeded by a dash."

In this case, Unix98 is not a generic term, but rather it refers to
the Unix98 standard, as superset of POSIX (see
http://www.unix-systems.org/unix98.html and
http://en.wikipedia.org/wiki/UNIX98), so the document is now incorrect.

Another minor example is the unnecessary stylistic change from:

Looking at the source man document, you notice that except for the
title and header, all formatting has been stripped from the document.
 It seems the upstream author disdains man pages and has seen fit to
remove the formatting when updating it.

This is a regression.  Except for bug 107914, the manual page was far
better formatted and in some ways more correct in Fedora Linux 1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
man ps
raw source:
zcat /usr/share/man/man1/ps.1.gz | less

Actual Results:  Manual page appears essentially unformatted.

Expected Results:  Manual page appears formatted as it once did.

Additional info:
Not a big deal, but noticeable and needless IMHO.
Comment 1 Mikel Ward 2004-05-05 09:03:46 EDT
It seems the package author is acahalan@cs.uml.edu.  I'll also raise
the issue with him and try to come up with a reformatted version when
I find the time.
Comment 2 Alan Cox 2004-06-18 20:55:48 EDT
The Red Hat procps and the more mainstream one used to be distinct
forks. FC now follows the generic one but its not as good in some ways
still (eg the manual page)
Comment 3 Daniel Walsh 2004-07-20 10:52:48 EDT
Modified ps.1 to match 2.0.17 version.


Comment 4 Albert Cahalan 2004-07-20 13:56:14 EDT
I do have two proposed replacements from somebody
at SuSE. The formatting still isn't quite right.
I've yet to find someone capable of producing a
"proper" man page that is formatted as neatly as
the one full of evil hacks.

For example, *roff tends to introduce hyphens and
spaces. These may be syntactically significant,
and so the examples become incorrect. Finding such
errors is difficult, in part because the errors
will vary with output width.

Normall *roff tends to produce ugly tables that
don't line up with each other.

******** begin example #1 *************
-f     foo option
b      bar option
--baz  baz option
-p            pee option
q             queue option
--stupendous  stupendous option
********** end example #1 **************

Other ways of formatting such tables lead to this:

********* begin example #2 **************
-p    pee option
q     queue option
      stupendous option (on wrong line)
************* end example #2 *************

Plus *roff wastes valuable space on margins, even when
output is to a tty. You wouldn't want "ls" to do that,
would you? How about I make "ps" indent the output by
some large arbitrary amount? This would cause wrapping
for no good reason.

As a final insult, *roff throws in useless page headers.
Mind you, this isn't PostScript output. It's tty output.
Web browsers don't chop up their output like that!
There's no reason for "man ps" to chop up the output either.
Comment 5 Albert Cahalan 2004-10-23 13:06:39 EDT
There is a new man page now. It's much more
verbose; hopefully people won't get lost in it
due to sheer size.

The formatting should be quite good. There is
one known problem involving the format options
table when output is for PostScript, PDF, DVI,
and so on. Lines may be too wide, perhaps due to
problems with groff math units. (pica, point,
inch, centimeter, em, en... oh dear my)

Note You need to log in before you can comment on or make changes to this bug.